ISALPHA(3)

NAME
isalnum, isalpha, iscntrl, isdigit, isgraph, islower, isprint, ispunct, isspace, isupper, isxdigit - character classification routines

SYNOPSIS
#include <ctype.h>

int isalnum (int c);
int isalpha (int c);
int iscntrl (int c);
int isdigit (int c);
int isgraph (int c);
int islower (int c);
int isprint (int c);
int ispunct (int c);
int isspace (int c);
int isupper (int c);
int isxdigit (int c);

DESCRIPTION
These functions check whether c, which must have the value of an unsigned char or EOF, falls into a certain character class according to the current locale.

isalnum()
    checks for an alphanumeric character; it is equivalent to (isalpha(c) || isdigit(c)).

isalpha()
    checks for an alphabetic character; it is equivalent to (isupper(c) || islower(c)).

iscntrl()
    checks for a control character.

isdigit()
    checks for a digit.

isgraph()
    checks for any printable character except space.

islower()
    checks for a lower - case character.

isprint()
    checks for any printable character including space.

ispunct()
    checks for any printable character which is not a space or an alphanumeric character.

isspace()
    checks for white - space characters. In the "C" and "POSIX" locales, these are: space, form-feed ('\f'), newline ('\n'), carriage return ('\r'), horizontal tab ('\t'), and vertical tab ('\v').

isupper()
    checks for an uppercase letter.

isxdigit()
    checks for a hexadecimal digits, i.e. one of 0 1 2 3 4 5 6 7 8 9 0 a b c d e f A B C D E F

RETURN VALUE
The values returned are nonzero if the character c falls into the tested class, and a zero value if not.

CONFORMS TO
ANSI - C, BSD 4.3

BUGS
The details of what characters belong into which class depend on the current locale. For example, isupper() will not recognize an A - umlaut as an uppercase letter in the default C locale.

SEE ALSO
toupper(3), setlocale(3), ascii(7), locale(7)